package ru.dbotthepony.kstarbound.client.freetype.struct;

import com.sun.jna.NativeLong;

/**************************************************************************
 *
 * @type:
 *   FT_Fixed
 *
 * @description:
 *   This type is used to store 16.16 fixed-point values, like scaling
 *   values or matrix coefficients.
 */
public class FT_Fixed extends NativeLong {
	public long whole() {
		return (longValue() & 0xFFFF0000L) >> 16;
	}

	public long decimal() {
		return longValue() & 0xFFFFL;
	}
}
